BizKitHub
DocsAPI ReferenceLedger/bff/ledger/asset/improvement-add
postLedgerAdmin BFF

/bff/ledger/asset/improvement-add

Add a technical improvement (§33 ZDP)

LedgerpostBffLedgerAssetImprovement-add

Parameters

JSON body

Request body

application/json
entityIdstringRequired

Accounting entity external id.

Length: 16–24
idstringRequired

Asset external id.

Length: 16–24
completedOnstringRequired
Example2026-11-04
amountnumberRequired
descriptionstring | nullOptional
One of 2:
Variant 1
string
Length: 0–255
Variant 2
null
documentIdstring | nullOptional
One of 2:
Variant 1
string
Length: 16–24
Variant 2
null
bookEntrybooleanOptional

Response schema

1 status code documented

200Success
successbooleanRequired
idstringRequired
entryobject | nullRequired
One of 2:
Variant 1
idstringRequired
entryNostring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
Variant 2
null

Response example

application/json
{
  "success": false,
  "id": "example_id"
}

Request example

POST /bff/ledger/asset/improvement-add

post
curl -X POST "https://api.bizkithub.com/bff/ledger/asset/improvement-add" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "entityId": "example_entityId",
  "id": "example_id",
  "completedOn": "2026-11-04",
  "amount": 0,
  "bookEntry": false
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key